Hotfix für das Problem "W3 Total Cache" seit Version 0.9.5

Update 30.9.2016: W3 Total Cache v0.9.5.1 wurde heute veröffentlicht, wodurch die Abwärtskompatibilität für Plugins von Drittanbietern mithilfe ihrer Funktionen und Klassen wiederhergestellt wird. Maps Marker Pro und Leaflet Maps Marker funktionieren mit W3 Total Cache v0.9.5.1 sofort einwandfrei, auch wenn der unten stehende Hotfix nicht angewendet wurde.

Der beliebte W3-Gesamtcache-Plugin wurde heute auf v0.9.5 aktualisiert. Leider berücksichtigt dieses Update nicht die Abwärtskompatibilität für Funktionen, von denen viele andere Plugins - einschließlich Maps Marker Pro - abhängen. Aus diesem Grund kann ein Update auf W3TC 0.9.5 dazu führen, dass Teile Ihres WordPress-Backends nicht mehr zugänglich sind. Stattdessen wird im Inhaltsbereich der folgende Fehler angezeigt:

Fatal error: Call to undefined function w3_instance()...

Da wir uns derzeit in den letzten Schritten der Vorbereitung der kommenden Versionen befinden, haben wir beschlossen, einen Hotfix für dieses Problem zu veröffentlichen. Dieser Hotfix wurde der aktuellen Version v2.7.3 hinzugefügt. Wenn Sie also Maps Marker Pro nach dem 26. September heruntergeladen haben, sind Sie von diesem Problem nicht betroffen und müssen den Hotfix nicht anwenden. Wenn Sie Maps Marker Pro vor dem 26. September heruntergeladen (und auf W3 Total Cache v0.9.5 aktualisiert) haben, müssen Sie diesem Tutorial folgen, um den Hotfix anzuwenden:

Alternativ können Sie die Datei auch bearbeiten /wp-content/plugins/leaflet-maps-marker-pro/inc/compatibility-checks.php direkt und löschen Sie die W3TC-Kompatibilitätsprüfung (in Zeile 65-94 für v2.7.3)

Bitte beachten Sie, dass das obige Tutorial nur für Maps Marker Pro gilt. Wenn Sie nach einem Tutorial zum Anwenden des Hotfixes für Leaflet Maps Marker suchen, wenden Sie sich bitte an klickt hier.

Wir entschuldigen uns für diese Unannehmlichkeiten. In zukünftigen Versionen werden wir versuchen sicherzustellen, dass unser Code ordnungsgemäß ausgeführt wird, auch wenn Funktionen von Plugins von Drittanbietern entfernt wurden oder nicht mehr verfügbar sind.

Hinterlasse einen Kommentar

XHTML: Sie können diese Tags verwenden: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

en English
X